import { MAT_DIALOG_DATA } from '@angular/material/dialog';
import { Component, OnInit, Inject } from '@angular/core';
import { FormControl, Validators } from '@angular/forms';
import { MatchErrors } from 'src/app/components/users-profiles/profiles-admin/new-profile/new-profile.component';

@Component({
  selector: 'app-details-alert',
  templateUrl: './details-alert.component.html',
  styleUrls: ['./details-alert.component.css']
})
export class DetailsAlertComponent implements OnInit {
  maintenanceMotives = new FormControl('', [Validators.required, Validators.minLength(8)]);
  errorMatcher = new MatchErrors();

  constructor(
    @Inject(MAT_DIALOG_DATA) public data: any,
  ) { }

  ngOnInit(): void {
  }

}
